#include<stdio.h>
#include<math.h> // sqrt、sqrtfが含まれているヘッダファイルを呼び出す

int main(){

  int n;
  float  sqrtnf; // 単精度実数型のsqrtnfを定義
  double sqrtnd; // 倍精度実数型のsqrtndを定義

  /* nが1から30まで繰り返す */
  for(n=1; n<=30; n++){
   
    sqrtnf = sqrtf(n); // sqrtnfに単精度実数型で計算した平方根を代入
    sqrtnd = sqrt(n);  // sqrtndに倍精度実数型で計算した平方根を代入
    /*注：nはint型だが単精度実数型、倍精度実数型への変換が自動的に行われる */
    
    printf( "n = %d SQRT(n) = %35.20f %35.20f\n", n, sqrtnf, sqrtnd);
       
  }

  // -1の場合
  n=-1;
  sqrtnf = sqrtf(n); 
  sqrtnd = sqrt(n);  
  printf( "n = %d SQRT(n) = %35.20f %35.20f\n", n, sqrtnf, sqrtnd);
  
  return (0);
  
}
