#include<stdio.h>
#include<math.h>   // exp関数で必要
#include<stdlib.h> // abs,fabs関数で必要

int main(){

  double a[3][3], b[3][3], c[3][3]; // 3x3の２次元配列(行列)を定義
  int i,j,k;

  /* 行列に値を代入 */
  /* cの配列のインデックスは0からはじまるため
     a[3][3]と定義された行列はa[0][0]からa[2][2]までの9つの要素となる */
  for(i=0;i<3;i++){
    for(j=0;j<3;j++){

      /* expは実数を引数にとるためi-jを実数化 */
      a[i][j] = exp(-fabs((double) i-j));
      b[i][j] = exp( fabs((double) i-j));
    }
  }

  /* aとbの積を代入する行列cに初期値をセット */
  for(i=0;i<3;i++){
    for(j=0;j<3;j++){
      c[i][j] = 0.0e0;    
    }
  }
  

  /* 行列の積計算を実行。for文のループは3つ必要 */
  for(i=0;i<3;i++){
    for(j=0;j<3;j++){
      for(k=0;k<3;k++){
	c[i][j] += a[i][k]*b[k][j];
      }
    }
  }

  // 結果の出力
  for(i=0;i<3;i++){
      printf("%15.10f %15.10f %15.10f\n", c[i][0],c[i][1],c[i][2]);
  }
  
  return (0);

}
